import request from '@/utils/request'
const baseUrl = import.meta.env.VITE_APP_PRODUCTION_API

// 查询包装线明细列表
export function listDetail(query) {
  return request({
    url: baseUrl + '/business/packageResourceGroupDetail/list',
    method: 'get',
    params: query
  })
}

// 查询包装线明细详细
export function getDetail(id) {
  return request({
    url: baseUrl + '/business/packageResourceGroupDetail/' + id,
    method: 'get'
  })
}

// 新增包装线明细
export function addDetail(data) {
  return request({
    url: baseUrl + '/business/packageResourceGroupDetail',
    method: 'post',
    data: data
  })
}

// 修改包装线明细
export function updateDetail(data) {
  return request({
    url: baseUrl + '/business/packageResourceGroupDetail',
    method: 'put',
    data: data
  })
}

// 删除包装线明细
export function delDetail(id) {
  return request({
    url: baseUrl + '/business/packageResourceGroupDetail/' + id,
    method: 'delete'
  })
}
